Description

| have explored using gcov and Icov to create code coverage reports for our unit tests. These reports can be used to help ensure that
critical sections of the artdaq suite code are fully exercised by our unit test suite.

History

#1 - 03/22/2019 09:13 AM - Eric Flumerfelt

CMake code to calculate code coverage is on artdaqg-core:feature/22188_CodeCoverage.

#2 - 12/07/2020 10:02 PM - Ron Rechenmacher

- Status changed from Work in progress to Resolved

mrb gitCheckout -d
-mpich-plugin

mrb gitCheckout -d
—ganglia-plugin
mrb gitCheckout -d
mrb gitCheckout -d
—epics-plugin

mrb gitCheckout -d
—pcp—mmv-plugin
mrb gitCheckout -d

Went over script w/ Eric..

artdag mpich_plugin
artdaqg_ganglia_plugin

artdag_mfextensions
artdaqg_epics_plugin

artdag_pcp_mmv_plugin

artdag_demo_hdf5

ssh:

ssh:

ssh:
ssh:

ssh:

ssh:

//p—artdag-utilities@cdcvs.fnal.gov/cvs/projects/artdag-utilities
//p-artdag-utilities@cdcvs.fnal.gov/cvs/projects/artdag-utilities

//p-mf-extensions@cdcvs.fnal.gov/cvs/projects/mf-extensions—-git
//p-artdag-utilities@cdcvs.fnal.gov/cvs/projects/artdag-utilities

//p-artdag-utilities@cdcvs.fnal.gov/cvs/projects/artdag-utilities

//p-artdag-demo@cdcvs.fnal.gov/cvs/projects/artdag-demo-hdf5

ran demo, code review, and ran new artdaq_demo/tools/calculate_test coverage.sh

#3 - 12/07/2020 10:06 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

merged into develop in all the repos:

artdaq
artdaqg_core
artdag_core_demo
artdaq_demo
artdag_demo_hdf5

artdag_utilities

artdaqg_epics_plugin
artdag_ganglia_plugin
artdag_mfextensions
artdaq_mpich_plugin
artdag_pcp_mmv_plugin

#4 - 01/06/2021 11:57 AM - Gennadiy Lukhanin

artdag-core:feature/22188_UltilitiesTests was tested on the Icarus cluster for interference with the SBN DAQ software and merged into the develop

branch.

#5 - 01/08/2021 02:39 PM - Eric Flumerfelt

- Target version set to artdaq v3_09_04

- Status changed from Reviewed to Closed
